<?php
/*********************************************
Description: Processa página inicial
File: /includes/pg.profissionais-home.php
Project: Basikus
Developers: João Vieira
Start Date: 2009/12/21
*********************************************/

if ( (int) $_SESSION['sessao_user_id'] < 1 ) header('Location: /');

if(!$smartyPg->is_cached($strPagina . ".html", $strPagina)){

    //meta tags

    $paginaTitle		= "Sport Golf";
    $paginaKeywords		= "sport, golf";
    $paginaDescription		= "Sport golf.";

    //evento realizar proximo
    $smartyPg->assign('listaPacotesTotal', array());
    $intCategoria	= '2';
    $respostaDb->GetConteudos($intCategoria, "3", "AND conteudos.protegido LIKE 'SIM' AND conteudos.destaque LIKE 'SIM' AND DATE_FORMAT(conteudos.dataentrada, '%Y%m%d') <= DATE_FORMAT(NOW(), '%Y%m%d') ORDER BY conteudos.dataentrada DESC");
    $respostaDb->oBug	= false;
    $rowResultDb	= NULL;
    if ( $resultDb = $respostaDb->puXa() ){
	$listaConteudos	= array();
	$indice 	= 0;
	while($rowResultDb = $resultDb->fetch(PDO::FETCH_ASSOC)){
	    $strImagem					= '';
	    $listaConteudos[$indice]['id']		= $rowResultDb['cid'];
	    $listaConteudos[$indice]['titulo']		= trd($rowResultDb['ctitulo'], $siteLng);
	    $listaConteudos[$indice]['texto']		= substr(strip_tags(trd($rowResultDb['ctexto'], $siteLng)), 0, 130);
	    $listaConteudos[$indice]['dia']		= $rowResultDb['cdataentrada'];
	    $listaConteudos[$indice]['categoria']	= trd($rowResultDb['ccnome'], $siteLng);
	    $listaConteudos[$indice]['metaurl']		= trd($rowResultDb['cmetaurl'], $siteLng);
	    if ( strlen(trim($listaConteudos[$indice]['metaurl'])) < 5 ) $listaConteudos[$indice]['metaurl'] = formata_urllink($listaConteudos[$indice]['titulo']);
	    $strImagem	= explode('<img', trd($rowResultDb['ctexto'], $siteLng));
	    if ( isset($strImagem[1]) ) {
		$strImagem				= explode('src="', $strImagem[1]);
		$strImagem				= explode('"', $strImagem[1]);
		$listaConteudos[$indice]['imagem']	= $strImagem[0];
	    }else $listaConteudos[$indice]['imagem']	= imgNenhumaNormal;
	    $indice++;
	}
	$smartyPg->assign('listaPacotesTotal', $listaConteudos);
    }

}
?>